Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4766)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4767)
@@ -1,20 +1,19 @@
 !> @file netcdf_data_input_mod.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,4 +24,7 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4724 2020-10-06 17:20:39Z suehring
 ! - New routines to read LOD=1 variables from dynamic input file
 ! - add no_abort option to all get_attribute routines
@@ -30,48 +32,46 @@
 ! 4641 2020-08-13 09:57:07Z suehring
 ! To follow (UC)2 standard, change default of attribute data_content
-! 
+!
 ! 4507 2020-04-22 18:21:45Z gronemeier
 ! - bugfix: check terrain height for fill values directly after reading
-! - changes: 
+! - changes:
 !   - remove check for negative zt
 !   - add reference height from input file upon PALM reference height (origin_z)
-! 
+!
 ! 4457 2020-03-11 14:20:43Z raasch
 ! use statement for exchange horiz added,
 ! bugfixes for calls of exchange horiz 2d
-! 
+!
 ! 4435 2020-03-03 10:38:41Z raasch
 ! temporary bugfix to avoid compile problems with older NetCDFD libraries on IMUK machines
-! 
+!
 ! 4434 2020-03-03 10:02:18Z oliver.maas
 ! added optional netcdf data input for wtm array input parameters
-! 
+!
 ! 4404 2020-02-12 17:01:53Z suehring
 ! Fix misplaced preprocessor directives.
-! 
+!
 ! 4401 2020-02-11 16:19:09Z suehring
-! Define a default list of coordinate reference system variables used when
-! no static driver input is available
-! 
+! Define a default list of coordinate reference system variables used when no static driver input is
+! available
+!
 ! 4400 2020-02-10 20:32:41Z suehring
 ! - Routine to inquire default fill values added
 ! - netcdf_data_input_att and netcdf_data_input_var routines removed
-! 
+!
 ! 4392 2020-01-31 16:14:57Z pavelkrc
 ! (resler) Decrease length of reading buffer (fix problem of ifort/icc compilers)
-! 
+!
 ! 4389 2020-01-29 08:22:42Z raasch
 ! Error messages refined for reading ASCII topo file, also reading of topo file revised so that
 ! statement labels and goto statements are not required any more
-! 
+!
 ! 4388 2020-01-28 16:36:55Z raasch
 ! bugfix for error messages while reading ASCII topo file
-! 
+!
 ! 4387 2020-01-28 11:44:20Z banzhafs
-! Added subroutine get_variable_string_generic ( )
-! and added to interface get_variable to circumvent
-! unknown application-specific restrictions
-! in existing function get_variable_string ( ),
-! which is retained for backward compatibility (ECC)
+! Added subroutine get_variable_string_generic ( ) and added to interface get_variable to circumvent
+! unknown application-specific restrictions in existing function get_variable_string ( ), which is
+! retained for backward compatibility (ECC)
 !
 ! 4370 2020-01-10 14:00:44Z raasch
@@ -79,132 +79,122 @@
 !
 ! 4362 2020-01-07 17:15:02Z suehring
-! Input of plant canopy variables from static driver moved to plant-canopy 
-! model
-! 
+! Input of plant canopy variables from static driver moved to plant-canopy model
+!
 ! 4360 2020-01-07 11:25:50Z suehring
-! Correct single message calls, local checks must be given by the respective
-! mpi rank.
-! 
+! Correct single message calls, local checks must be given by the respective mpi rank.
+!
 ! 4346 2019-12-18 11:55:56Z motisi
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
-! 
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
+!
 ! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
-! 
+!
 ! 4321 2019-12-04 10:26:38Z pavelkrc
 ! Further revise check for surface fractions
-! 
+!
 ! 4313 2019-11-27 14:07:00Z suehring
 ! Checks for surface fractions revised
-! 
+!
 ! 4312 2019-11-27 14:06:25Z suehring
 ! Open input files with read-only attribute instead of write attribute.
-! 
+!
 ! 4280 2019-10-29 14:34:15Z monakurppa
-! Remove id_emis flags from get_variable_4d_to_3d_real and
-! get_variable_5d_to_4d_real
-! 
+! Remove id_emis flags from get_variable_4d_to_3d_real and get_variable_5d_to_4d_real
+!
 ! 4258 2019-10-07 13:29:08Z suehring
 ! - Migrate input of soil temperature and moisture to land-surface model.
-! - Remove interpolate routines and move the only required subroutine to 
-!   land-surface model.
-! 
+! - Remove interpolate routines and move the only required subroutine to land-surface model.
+!
 ! 4247 2019-09-30 10:18:24Z pavelkrc
 ! Add reading and processing of building_surface_pars
-! 
+!
 ! 4226 2019-09-10 17:03:24Z suehring
 ! - Netcdf input routine for dimension length renamed
 ! - Move offline-nesting-specific checks to nesting_offl_mod
-! - Module-specific input of boundary data for offline nesting moved to 
-!   nesting_offl_mod
+! - Module-specific input of boundary data for offline nesting moved to nesting_offl_mod
 ! - Define module specific data type for offline nesting in nesting_offl_mod
-! 
+!
 ! 4190 2019-08-27 15:42:37Z suehring
 ! type real_1d changed to real_1d_3d
-! 
+!
 ! 4186 2019-08-23 16:06:14Z suehring
 ! Minor formatting adjustments
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 4178 2019-08-21 11:13:06Z suehring
-! Implement input of external radiation forcing. Therefore, provide public
-! subroutines and variables. 
-! 
+! Implement input of external radiation forcing. Therefore, provide public subroutines and
+! variables.
+!
 ! 4150 2019-08-08 20:00:47Z suehring
-! Some variables are given the public attribute, in order to call netcdf input
-! from single routines
-! 
+! Some variables are given the public attribute, in order to call netcdf input from single routines
+!
 ! 4125 2019-07-29 13:31:44Z suehring
-! To enable netcdf-parallel access for lateral boundary data (dynamic input), 
-! zero number of elements are passed to the respective get_variable routine 
-! for non-boundary cores. 
-! 
+! To enable netcdf-parallel access for lateral boundary data (dynamic input), zero number of
+! elements are passed to the respective get_variable routine for non-boundary cores.
+!
 ! 4100 2019-07-17 08:11:29Z forkel
 ! Made check for input_pids_dynamic and 'inifor' more general
-! 
+!
 ! 4012 2019-05-31 15:19:05Z monakurppa
-! 
+!
 ! 3994 2019-05-22 18:08:09Z suehring
 ! Remove single location message
-! 
+!
 ! 3976 2019-05-15 11:02:34Z hellstea
 ! Remove unused variables from last commit
-! 
+!
 ! 3969 2019-05-13 12:14:33Z suehring
 ! - clean-up index notations for emission_values to eliminate magic numbers
-! - introduce temporary variable dum_var_5d as well as subroutines
-!   get_var_5d_real and get_var_5d_real_dynamic
+! - introduce temporary variable dum_var_5d as well as subroutines get_var_5d_real and
+!   get_var_5d_real_dynamic
 ! - remove emission-specific code in generic get_variable routines
-! - in subroutine netcdf_data_input_chemistry_data change netCDF LOD 1 
-!   (default) emission_values to the following index order:
-!   z, y, x, species, category
-! - in subroutine netcdf_data_input_chemistry_data
-!   changed netCDF LOD 2 pre-processed emission_values to the following index 
-!   order: time, z, y, x, species
-! - in type chem_emis_att_type replace nspec with n_emiss_species
-!   but retained nspec for backward compatibility with salsa_mod. (E.C. Chan)
-! 
+! - in subroutine netcdf_data_input_chemistry_data change netCDF LOD 1 (default) emission_values to
+!   the following index order: z, y, x, species, category
+! - in subroutine netcdf_data_input_chemistry_data changed netCDF LOD 2 pre-processed
+!   emission_values to the following index order: time, z, y, x, species
+! - in type chem_emis_att_type replace nspec with n_emiss_species but retained nspec for backward
+!   compatibility with salsa_mod. (E.C. Chan)
+!
 ! 3961 2019-05-08 16:12:31Z suehring
 ! Revise checks for building IDs and types
-! 
+!
 ! 3943 2019-05-02 09:50:41Z maronga
 ! Temporarily disabled some (faulty) checks for static driver.
-! 
+!
 ! 3942 2019-04-30 13:08:30Z kanani
-! Fix: increase LEN of all NetCDF attribute values (caused crash in 
-! netcdf_create_global_atts due to insufficient length)
-! 
+! Fix: increase LEN of all NetCDF attribute values (caused crash in netcdf_create_global_atts due to
+!      insufficient length)
+!
 ! 3941 2019-04-30 09:48:33Z suehring
-! Move check for grid dimension to an earlier point in time when first array
-! is read.
+! Move check for grid dimension to an earlier point in time when first array is read.
 ! Improve checks for building types / IDs with respect to 2D/3D buildings.
-! 
+!
 ! 3885 2019-04-11 11:29:34Z kanani
-! Changes related to global restructuring of location messages and introduction 
-! of additional debug messages
-! 
+! Changes related to global restructuring of location messages and introduction of additional debug
+! messages
+!
 ! 3864 2019-04-05 09:01:56Z monakurppa
-! get_variable_4d_to_3d_real modified to enable read in data of type
-! data(t,y,x,n) one timestep at a time + some routines made public
-! 
+! get_variable_4d_to_3d_real modified to enable read in data of type data(t,y,x,n) one timestep at
+! a time + some routines made public
+!
 ! 3855 2019-04-03 10:00:59Z suehring
 ! Typo removed
-! 
+!
 ! 3854 2019-04-02 16:59:33Z suehring
 ! Bugfix in one of the checks. Typo removed.
-! 
+!
 ! 3744 2019-02-15 18:38:58Z suehring
-! Enable mesoscale offline nesting for chemistry variables as well as 
-! initialization of chemistry via dynamic input file.
-! 
+! Enable mesoscale offline nesting for chemistry variables as well as initialization of chemistry
+! via dynamic input file.
+!
 ! 3705 2019-01-29 19:56:39Z suehring
-! Interface for attribute input of 8-bit and 32-bit integer 
-! 
+! Interface for attribute input of 8-bit and 32-bit integer
+!
 ! 3704 2019-01-29 19:51:41Z suehring
 ! unused variables removed
-! 
+!
 ! 2696 2017-12-14 17:12:51Z kanani
 ! Initial revision (suehring)
@@ -220,28 +210,26 @@
 !> Modulue contains routines to input data according to Palm input data
 !> standart using dynamic and static input files.
-!> @todo - Chemistry: revise reading of netcdf file and ajdust formatting
-!>         according to standard!!! (ecc/done)
+!> @todo - Chemistry: revise reading of netcdf file and ajdust formatting according to standard!!!
+!>         (ecc/done)
 !> @todo - Order input alphabetically
 !> @todo - Revise error messages and error numbers
 !> @todo - Input of missing quantities (chemical species, emission rates)
-!> @todo - Defninition and input of still missing variable attributes
-!>         (ecc/what are they?)
+!> @todo - Definition and input of still missing variable attributes (ecc/what are they?)
 !> @todo - Input of initial geostrophic wind profiles with cyclic conditions.
-!> @todo - remove z dimension from default_emission_data nad preproc_emission_data
-!          and correpsonding subroutines get_var_5d_real and get_var_5d_dynamic (ecc)
+!> @todo - remove z dimension from default_emission_data nad preproc_emission_data and correpsonding
+!>         subroutines get_var_5d_real and get_var_5d_dynamic (ecc)
 !> @todo - decpreciate chem_emis_att_type@nspec (ecc)
-!> @todo - depreciate subroutines get_variable_4d_to_3d_real and
-!>         get_variable_5d_to_4d_real (ecc)
+!> @todo - depreciate subroutines get_variable_4d_to_3d_real and get_variable_5d_to_4d_real (ecc)
 !> @todo - introduce useful debug_message(s)
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE netcdf_data_input_mod
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  coupling_char, io_blocks, io_group
 
-    USE cpulog,                                                                &
+    USE cpulog,                                                                                    &
         ONLY:  cpu_log, log_point_s
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nbgp
 
@@ -254,5 +242,5 @@
     USE pegrid
 
-    USE surface_mod,                                                           &
+    USE surface_mod,                                                                               &
         ONLY:  ind_pav_green, ind_veg_wall, ind_wat_win
 !
@@ -266,9 +254,12 @@
        REAL(wp), DIMENSION(:), ALLOCATABLE :: z       !< dimension array in z
     END TYPE dims_xy
+
     TYPE init_type
 
-       CHARACTER(LEN=16) ::  init_char = 'init_atmosphere_'          !< leading substring for init variables 
-       CHARACTER(LEN=23) ::  origin_time = '2000-01-01 00:00:00 +00' !< reference time of input data
-       CHARACTER(LEN=100), DIMENSION(:), ALLOCATABLE ::  var_names_chem !< list of chemistry variable names that can potentially be on file
+       CHARACTER(LEN=16) ::  init_char = 'init_atmosphere_'           !< leading substring for init variables
+       CHARACTER(LEN=23) ::  origin_time = '2000-01-01 00:00:00 +00'  !< reference time of input data
+
+       CHARACTER(LEN=100), DIMENSION(:), ALLOCATABLE ::  var_names_chem  !< list of chemistry variable names that can potentially be
+                                                                         !< on file
 
        INTEGER(iwp) ::  lod_msoil !< level of detail - soil moisture
@@ -286,5 +277,5 @@
        INTEGER(iwp) ::  nzu       !< number of vertical levels on scalar grid in dynamic input file
        INTEGER(iwp) ::  nzw       !< number of vertical levels on w grid in dynamic input file
-       
+
        INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  lod_chem !< level of detail - chemistry variables
 
@@ -298,5 +289,5 @@
        LOGICAL ::  from_file_vg     = .FALSE. !< flag indicating whether ug is already initialized from file
        LOGICAL ::  from_file_w      = .FALSE. !< flag indicating whether w is already initialized from file
-       
+
        LOGICAL, DIMENSION(:), ALLOCATABLE ::  from_file_chem !< flag indicating whether chemistry variable is read from file
 
@@ -326,24 +317,26 @@
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  w_init       !< initial vertical profile of w
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  z_soil       !< vertical levels in soil in dynamic input file, used for interpolation
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  zu_atmos     !< vertical levels at scalar grid in dynamic input file, used for interpolation
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  zw_atmos     !< vertical levels at w grid in dynamic input file, used for interpolation
-       
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  zu_atmos     !< vertical levels at scalar grid in dynamic input file, used for
+                                                            !< interpolation
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  zw_atmos     !< vertical levels at w grid in dynamic input file, used for
+                                                            !< interpolation
+
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  chem_init  !< initial vertical profiles of chemistry variables
 
 
-       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  msoil_3d !< initial 3d soil moisture provide by Inifor and interpolated onto soil grid
-       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  tsoil_3d !< initial 3d soil temperature provide by Inifor and interpolated onto soil grid
+       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  msoil_3d  !< initial 3d soil moisture provide by Inifor and interpolated onto
+                                                             !< soil grid
+       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  tsoil_3d  !< initial 3d soil temperature provide by Inifor and interpolated onto
+                                                             !< soil grid
 
     END TYPE init_type
-
+!
 !-- Data type for the general information of chemistry emissions, do not dependent on the particular chemical species
-    TYPE chem_emis_att_type 
-
-       !-DIMENSIONS
-       
+    TYPE chem_emis_att_type
+!
+!--    DIMENSIONS
        INTEGER(iwp)                                 :: nspec=0            !< no of chem species provided in emission_values
        INTEGER(iwp)                                 :: n_emiss_species=0  !< no of chem species provided in emission_values
                                                                           !< same function as nspec, which will be depreciated (ecc)
-                                                                                 
        INTEGER(iwp)                                 :: ncat=0             !< number of emission categories
        INTEGER(iwp)                                 :: nvoc=0             !< number of VOC components
@@ -353,9 +346,10 @@
        INTEGER(iwp)                                 :: nhoursyear         !< number of hours of a specific year in the HOURLY mode
                                                                           !< of the default mode
-       INTEGER(iwp)                                 :: nmonthdayhour      !< number of month days and hours in the MDH mode 
+       INTEGER(iwp)                                 :: nmonthdayhour      !< number of month days and hours in the MDH mode
                                                                           !< of the default mode
-       INTEGER(iwp)                                 :: dt_emission        !< Number of emissions timesteps for one year 
+       INTEGER(iwp)                                 :: dt_emission        !< Number of emissions timesteps for one year
                                                                           !< in the pre-processed emissions case
-       !-- 1d emission input variables
+!
+!--    1d emission input variables
        CHARACTER (LEN=25),ALLOCATABLE, DIMENSION(:) :: pm_name       !< Names of PM components
        CHARACTER (LEN=25),ALLOCATABLE, DIMENSION(:) :: cat_name      !< Emission category names
@@ -364,5 +358,6 @@
        CHARACTER (LEN=25)                           :: units         !< Units
 
-       INTEGER(iwp)                                 :: i_hour         !< indices for assigning emission values at different timesteps
+       INTEGER(iwp)                                 :: i_hour         !< indices for assigning emission values at different
+                                                                      !< timesteps
        INTEGER(iwp),ALLOCATABLE, DIMENSION(:)       :: cat_index      !< Indices for emission categories
        INTEGER(iwp),ALLOCATABLE, DIMENSION(:)       :: species_index  !< Indices for emission chem species
@@ -370,19 +365,19 @@
        REAL(wp),ALLOCATABLE, DIMENSION(:)           :: xm             !< Molecular masses of emission chem species
 
-       !-- 2d emission input variables 
+!--    2d emission input variables
        REAL(wp),ALLOCATABLE, DIMENSION(:,:)         :: hourly_emis_time_factor  !< Time factors for HOURLY emissions (DEFAULT mode)
        REAL(wp),ALLOCATABLE, DIMENSION(:,:)         :: mdh_emis_time_factor     !< Time factors for MDH emissions (DEFAULT mode)
-       REAL(wp),ALLOCATABLE, DIMENSION(:,:)         :: nox_comp                 !< Composition of NO and NO2 
+       REAL(wp),ALLOCATABLE, DIMENSION(:,:)         :: nox_comp                 !< Composition of NO and NO2
        REAL(wp),ALLOCATABLE, DIMENSION(:,:)         :: sox_comp                 !< Composition of SO2 and SO4
        REAL(wp),ALLOCATABLE, DIMENSION(:,:)         :: voc_comp                 !< Composition of VOC components (not fixed)
 
-       !-- 3d emission input variables
-       REAL(wp),ALLOCATABLE, DIMENSION(:,:,:)       :: pm_comp                  !< Composition of PM components (not fixed) 
-  
+!--    3d emission input variables
+       REAL(wp),ALLOCATABLE, DIMENSION(:,:,:)       :: pm_comp                  !< Composition of PM components (not fixed)
+
     END TYPE chem_emis_att_type
 
 
 !-- Data type for the values of chemistry emissions
-    TYPE chem_emis_val_type 
+    TYPE chem_emis_val_type
 
        !REAL(wp),ALLOCATABLE, DIMENSION(:,:)     :: stack_height           !< stack height (ecc / to be implemented)
@@ -399,5 +394,6 @@
        INTEGER(KIND=1), DIMENSION(:,:), ALLOCATABLE ::  var !< respective variable
 
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
     END TYPE int_2d_8bit
 !
@@ -407,5 +403,6 @@
        INTEGER(KIND=1), DIMENSION(:,:,:), ALLOCATABLE ::  var_3d !< respective variable
 
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
     END TYPE int_3d_8bit
 !
@@ -415,27 +412,30 @@
        INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  var  !< respective variable
 
-       LOGICAL ::  from_file = .FALSE. !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
     END TYPE int_2d_32bit
 !
-!-- Define data type to read 1D or 3D real variables. 
+!-- Define data type to read 1D or 3D real variables.
     TYPE real_1d_3d
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
 
        INTEGER(iwp) ::  lod = -1        !< level-of-detail
-       
+
        REAL(wp) ::  fill = -9999.9_wp                  !< fill value
-       
+
        REAL(wp), DIMENSION(:),     ALLOCATABLE ::  var1d     !< respective 1D variable
        REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  var3d     !< respective 3D variable
-    END TYPE real_1d_3d   
+    END TYPE real_1d_3d
 !
 !-- Define data type to read 2D real variables
     TYPE real_2d
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
 
        INTEGER(iwp) ::  lod             !< level-of-detail
-       
-       REAL(wp) ::  fill = -9999.9_wp                !< fill value
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  var !< respective variable
+
+       REAL(wp) ::  fill = -9999.9_wp                 !< fill value
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  var  !< respective variable
     END TYPE real_2d
 
@@ -443,14 +443,15 @@
 !-- Define data type to read 3D real variables
     TYPE real_3d
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
 
        INTEGER(iwp) ::  nz   !< number of grid points along vertical dimension
 
-       REAL(wp) ::  fill = -9999.9_wp                  !< fill value
-       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  var !< respective variable
+       REAL(wp) ::  fill = -9999.9_wp                   !< fill value
+       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  var  !< respective variable
     END TYPE real_3d
 !
-!-- Define data structure where the dimension and type of the input depends
-!-- on the given level of detail.
+!-- Define data structure where the dimension and type of the input depends on the given level of
+!-- detail.
 !-- For buildings, the input is either 2D float, or 3d byte.
     TYPE build_in
@@ -462,5 +463,6 @@
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  z                 !< vertical coordinate for 3D building, used for consistency check
 
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
 
        REAL(wp)                              ::  fill1 = -9999.9_wp !< fill values for lod = 1
@@ -477,5 +479,6 @@
        INTEGER(KIND=1), DIMENSION(:,:,:), ALLOCATABLE ::  var_3d       !< 3d variable (lod = 2)
 
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
     END TYPE soil_in
 
@@ -486,12 +489,12 @@
        INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nfracs         !< dimension array for fraction
 
-       LOGICAL ::  from_file = .FALSE. !< flag indicating whether an input variable is available and read from file or default values are used
-
-       REAL(wp)                                ::  fill = -9999.9_wp !< fill value
-       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  frac              !< respective fraction between different surface types
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
+
+       REAL(wp)                                ::  fill = -9999.9_wp  !< fill value
+       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  frac               !< respective fraction between different surface types
     END TYPE fracs
 !
-!-- Data type for parameter lists, Depending on the given level of detail,
-!-- the input is 3D or 4D
+!-- Data type for parameter lists, Depending on the given level of detail, the input is 3D or 4D
     TYPE pars
        INTEGER(iwp)                            ::  lod = 1         !< level of detail
@@ -501,5 +504,6 @@
        INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  pars            !< dimension array for parameters
 
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
 
        REAL(wp)                                  ::  fill = -9999.9_wp !< fill value
@@ -517,5 +521,6 @@
                                                                    !< norm_z,norm_y,norm_x: surface normal vector
 
-       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default values are used
+       LOGICAL ::  from_file = .FALSE.  !< flag indicating whether an input variable is available and read from file or default
+                                        !< values are used
 
        REAL(wp)                              ::  fill = -9999.9_wp !< fill value
@@ -524,6 +529,5 @@
 !
 !-- Define type for global file attributes
-!-- Please refer to the PALM data standard for a detailed description of each
-!-- attribute.
+!-- Please refer to the PALM data standard for a detailed description of each attribute.
     TYPE global_atts_type
        CHARACTER(LEN=200) ::  acronym = ' '                           !< acronym of institution
